Skip to main content
POST
/
api
/
phone_verifications
Send Phone Verification Code
curl --request POST \
  --url https://admin.snagsolutions.io/api/phone_verifications \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "phoneNumber": "+14155552671",
  "websiteId": "123e4567-e89b-12d3-a456-426614174000",
  "userId": "123e4567-e89b-12d3-a456-426614174001",
  "walletAddress": "0x1234567890abcdef1234567890abcdef12345678"
}
'
{
  "data": {
    "success": true,
    "message": "Verification code sent.",
    "userId": "123e4567-e89b-12d3-a456-426614174001"
  }
}

Authorizations

X-API-KEY
string
header
required

Body

application/json

Body

Request body for initiating phone verification via OTP

phoneNumber
string
required

Phone number in E.164 format (e.g., +14155552671)

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+14155552671"

websiteId
string<uuid>

The ID of the website

Example:

"123e4567-e89b-12d3-a456-426614174000"

userId
string<uuid>

The ID of the user

Example:

"123e4567-e89b-12d3-a456-426614174001"

walletAddress
string

The wallet address of the user

Example:

"0x1234567890abcdef1234567890abcdef12345678"

Response

200

Standard response wrapper for initiating a phone number's verification

data
Phone Auth Response Data · object
required

Response payload after initiating phone verification via OTP